<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/flatpickr/dist/flatpickr.min.css">
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Periode Test </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">
                                <button data-toggle="modal" data-target="#exampleModal" class="btn btn-sm btn-default">
                                    <i class="fas fa-plus-circle"></i> Tambah
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="modal fade" id="exampleModal" data-backdrop="static" role="dialog"
                         aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <form th:action="@{/kuesioner/periodeUjian/submit}" method="post">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="exampleModalLabel">Tambah Periode</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label>Tanggal & Jam Mulai</label>
                                                    <input type="text" id="tanggal" name="tanggalUjian" class="form-control tanggal ">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label>Terakhir Upload</label>
                                                    <input type="text" id="terakhir" name="terakhirUpload" class="form-control tanggal">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label>Kuota</label>
                                                    <input type="text" id="kuota" name="kuota" class="form-control">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Ruangan</label>
                                                    <select name="ruangan" id="select2-ruang" class="form-control js-example-placeholder-single" style="width: 100%;">
                                                        <option ></option>
                                                        <option th:each="data, row:${ruangan}"
                                                                th:text="${data.namaRuangan}"
                                                                th:value="${data.id}"></option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label>Jenis Test</label>
                                                    <select name="jenisTest" id="jenis" class="form-control">
                                                        <option value="TOEFL">TOEFL</option>
                                                        <option value="IELTS">IELTS</option>
                                                    </select>
                                                </div>
                                                <input type="hidden" id="id" name="id">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary" onclick="batal()">Close
                                        </button>
                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th>No</th>
                                <th>Tanggal Ujian</th>
                                <th>Terakhir Upload</th>
                                <th>Kuota</th>
                                <th>Total Mahasiswa</th>
                                <th>Ruangan</th>
                                <th>Jenis</th>
                                <th>Status</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data, row :${listPeriode}">
                                <td th:text="${(row.index + 1) + (listPeriode.number * listPeriode.size)}">01</td>
                                <td th:text="${#temporals.format(data.tanggal, 'dd MMMM yyyy HH:mm')}"></td>
                                <td th:text="${#temporals.format(data.terakhir, 'dd MMMM yyyy HH:mm')}"></td>
                                <td th:text="${data.kuota}">Campus Code</td>
                                <td th:text="${data.total}">Campus Code</td>
                                <td>
                                    <div th:if="${data.ruanganid == null}" th:text="${'-'}"></div>
                                    <div th:if="${data.ruanganid != null}" th:text="${data.nama}"></div>
                                </td>
                                <td th:text="${data.jenis}">Campus Code</td>
                                <td th:text="${data.statuspt}">Campus Code</td>
                                <td>
                                    <button th:if="${data.statuspt == 'AKTIF'}" onclick="editPeriode(this.getAttribute('data-id'), this.getAttribute('data-tanggal'), this.getAttribute('data-kuota'), this.getAttribute('data-ruangan'), this.getAttribute('data-jenis'), this.getAttribute('data-terakhir'))"
                                            th:attr="data-id=${data.id}, data-tanggal=${data.tanggal}, data-kuota=${data.kuota}, data-ruangan=${data.ruanganid}, data-jenis=${data.jenis}, data-terakhir=${data.terakhir}" class="btn btn-primary btn-sm"><i class="fas fa-edit"></i></button>

<!--                                </td>-->
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4">
                        <nav aria-label="...">
                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
<script src="https://cdn.jsdelivr.net/npm/flatpickr"></script>
<script>
    flatpickr(".tanggal", {
        enableTime: true,
        dateFormat: "Y-m-d H:i:S",
        time_24hr: true
    });

    function editPeriode(id,tanggal,kuota,ruangan,jenis,terakhir) {
        $('#exampleModal').modal('show')
        document.getElementById('id').value = id;
        document.getElementById('kuota').value = kuota;
        document.getElementById('jenis').value = jenis;
        let tanggalUjian = new Date(tanggal);
        let terakhirUpload = new Date(terakhir);
        let formattedDateTanggal = tanggalUjian.getFullYear() + '-' +
            String(tanggalUjian.getMonth() + 1).padStart(2, '0') + '-' +
            String(tanggalUjian.getDate()).padStart(2, '0') + ' ' +
            String(tanggalUjian.getHours()).padStart(2, '0') + ':' +
            String(tanggalUjian.getMinutes()).padStart(2, '0') + ':' +
            String(tanggalUjian.getSeconds()).padStart(2, '0');

        let formattedDateTerakhir = terakhirUpload.getFullYear() + '-' +
            String(terakhirUpload.getMonth() + 1).padStart(2, '0') + '-' +
            String(terakhirUpload.getDate()).padStart(2, '0') + ' ' +
            String(terakhirUpload.getHours()).padStart(2, '0') + ':' +
            String(terakhirUpload.getMinutes()).padStart(2, '0') + ':' +
            String(terakhirUpload.getSeconds()).padStart(2, '0');

        document.getElementById('tanggal').value = formattedDateTanggal;
        document.getElementById('terakhir').value = formattedDateTerakhir;


        if ($('#select2-ruang').find("option[value='" + ruangan + "']").length){
            $('#select2-ruang').val(ruangan).trigger('change');
        }

    }

    function batal() {
        document.getElementById('id').value = '';
        document.getElementById('tanggal').value = '';
        document.getElementById('kuota').value = '';
        $('#select2-ruang').val('').trigger('change');
        document.getElementById('jenis').value = '';
        $('#exampleModal').modal('hide')
    }

    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        dropdownParent: $('#exampleModal'),
        allowClear: true
    });

    // $("#select2-ruang").select2({
    //     dropdownParent: $('#exampleModal')
    // });
</script>